Bug 1130856 - ifup can be invoked before the interface is up
Summary: ifup can be invoked before the interface is up
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts
Version: 6.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 03:54 UTC by K. Y. Srinivasan
Modified: 2016-11-25 13:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-12 13:13:52 UTC


Attachments (Terms of Use)

Description K. Y. Srinivasan 2014-08-18 03:54:42 UTC
Description of problem: On Azure we have situations where ifup is invoked  
prior to interface coming online. Ifup fails and this results in a VM with no networking.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Sitsofe Wheeler 2014-09-30 03:39:49 UTC
Thanks for CC'ing me KY.

I think I originally reported this over in bug #1095387 back in May... As I mentioned in the upstream of that (https://bugzilla.kernel.org/show_bug.cgi?id=78771 ) this might be resolved by the upstream kernel patch https://lkml.org/lkml/2014/8/28/649 .

Comment 4 Sitsofe Wheeler 2014-09-30 03:49:34 UTC
(I should also note the above only fights the cause in one case which was a regression. If you start a VM when the network really isn't available the previous comment will do nothing for you)

Comment 5 Sitsofe Wheeler 2014-09-30 04:20:57 UTC
Something weird is happening.

With a non-debug 3.17rc kernel after 14 successful reboots the following happened:

Sep 30 13:35:04 a systemd[1]: Reached target Login Prompts.
Sep 30 13:35:04 a dbus-daemon[416]: dbus[416]: [system] Successfully activated service 'org.freedesktop.systemd1'
Sep 30 13:35:04 a dbus[416]: [system] Successfully activated service 'org.freedesktop.systemd1'
Sep 30 13:35:04 a systemd-logind[415]: New seat seat0.
Sep 30 13:35:04 a systemd-logind[415]: Watching system buttons on /dev/input/event0 (Power Button)
Sep 30 13:35:04 a systemd-logind[415]: Watching system buttons on /dev/input/event2 (AT Translated Set 2 keyboard)
Sep 30 13:35:04 a systemd[1]: Started Login Service.
Sep 30 13:35:04 a network[419]: Bringing up loopback interface:  [  OK  ]
Sep 30 13:35:04 a network[419]: Bringing up interface eth0:
Sep 30 13:35:04 a dhclient[518]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 7 (xid=0x5b778314)
Sep 30 03:49:01 a systemd[1]: Time has been changed
Sep 30 03:49:02 a kernel: psmouse serio1: trackpoint: IBM TrackPoint firmware: 0x01, buttons: 0/0
Sep 30 03:49:02 a kernel: input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/input/input4
Sep 30 03:49:02 a dhclient[518]: DHCPOFFER from 10.1.0.2
Sep 30 03:49:06 a systemd[1]: Time has been changed
Sep 30 03:49:11 a systemd[1]: Time has been changed
Sep 30 03:49:16 a systemd[1]: Time has been changed
Sep 30 03:49:21 a systemd[1]: Time has been changed
Sep 30 03:49:26 a systemd[1]: Time has been changed
Sep 30 03:49:28 a chronyd[412]: Backward time jump detected! (correction 35162.9 +- 1.0 seconds)
Sep 30 03:49:31 a systemd[1]: Time has been changed
[...]
Sep 30 03:49:56 a systemd[1]: Time has been changed
Sep 30 03:50:01 a systemd[1]: Starting user-0.slice.
Sep 30 03:50:01 a systemd[1]: Created slice user-0.slice.
Sep 30 03:50:01 a systemd[1]: Starting User Manager for 0...
Sep 30 03:50:01 a systemd[1]: Starting Session 1 of user root.
Sep 30 03:50:01 a systemd[1]: Started Session 1 of user root.
Sep 30 03:50:01 a systemd[623]: pam_unix(systemd-user:session): session opened for user root by (uid=0)
Sep 30 03:50:01 a CROND[624]: (root) CMD (/usr/lib64/sa/sa1 1 1)
Sep 30 03:50:01 a systemd[623]: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory
Sep 30 03:50:01 a systemd[623]: Starting Default.
Sep 30 03:50:01 a systemd[623]: Reached target Default.
Sep 30 03:50:01 a systemd[623]: Startup finished in 14ms.
Sep 30 03:50:01 a systemd[1]: Started User Manager for 0.
Sep 30 03:50:01 a systemd[623]: Time has been changed
Sep 30 03:50:01 a systemd[1]: Time has been changed
Sep 30 03:50:06 a systemd[1]: Time has been changed
Sep 30 03:50:06 a systemd[623]: Time has been changed
Sep 30 03:50:11 a systemd[623]: Time has been changed
[...]
Sep 30 03:53:01 a systemd[623]: Time has been changed
Sep 30 03:53:01 a systemd[1]: Time has been changed
Sep 30 03:53:06 a systemd[1]: Time has been changed
Sep 30 03:53:06 a systemd[623]: Time has been changed
Sep 30 03:54:00 a systemd[1]: network.service operation timed out. Terminating.
Sep 30 03:54:00 a systemd[1]: Failed to start LSB: Bring up/down networking.
Sep 30 03:54:00 a systemd[1]: Unit network.service entered failed state.
Sep 30 03:54:00 a systemd[1]: Starting Multi-User System.
Sep 30 03:54:00 a systemd[1]: Reached target Multi-User System.

So the DHCP server sent an offer but we fell on the floor anyway - why? Additionally, who is changing the time?

Comment 6 Lukáš Nykrýn 2014-09-30 07:25:25 UTC
Which version of systemd are you using?
We are not starting user instances of systemd in rhel7
Sep 30 03:50:01 a systemd[623]: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory

Comment 7 Lukáš Nykrýn 2014-09-30 07:35:59 UTC
And this is a bug for rhel6, so please if you have other issues file a new bug for proper product and component.

Comment 8 Sitsofe Wheeler 2014-09-30 20:54:09 UTC
OK let me unsubscribe from this bug.


Note You need to log in before you can comment on or make changes to this bug.